Productsup
API referenceV1Export marketing

Retrieve an export marketing

Export marketing is the marketing information of an export. This endpoint shows an export marketing of an export.

GET
/V1/export/{exportId}/export-marketing

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Path Parameters

exportId*string

Export id.

Response Body

application/json

application/json

application/json

curl -X GET "https://export-template-api.productsup.com/V1/export/string/export-marketing"
{
  "data": {
    "id": 40982,
    "export": {
      "id": 59057,
      "unpublishedChanges": true
    },
    "type": 1,
    "publish": true,
    "marketingTitle": "Cool Title",
    "websiteLink": "https://www.website.com",
    "landingPageLink": "https://www.website.com/landing",
    "featured": false,
    "products": [
      "shoes",
      "clothes",
      "hats"
    ],
    "description": "Very awesome marketing",
    "priority": 1,
    "helpLink": "1234",
    "exportCategoryIds": [
      "1",
      "2",
      "3"
    ],
    "exportCountryIds": [
      "DE",
      "NL",
      "BG"
    ],
    "exportBrand": {
      "id": 2645,
      "name": "brand name"
    }
  }
}
{
  "errors": {
    "message": "Resource access denied."
  }
}
{
  "errors": {
    "message": "Export with id 123 not found."
  }
}

How is this guide?